Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class TrustedFdkCredential

    java.lang.Object
      oracle.ifs.fdk.TrustedFdkCredential

All Implemented Interfaces:
  FdkCredential

    public class TrustedFdkCredential

extends java.lang.Object
implements FdkCredential

Represents a trusted party credential. A trusted application does not need to provide credentials in order to authenticate a user. This can only be used when running in-process.

It contains the username for which to create the session.

Constructor Summary
`TrustedFdkCredential(java.lang.String username, java.util.Map options)` Creates a trusted application credential.

Method Summary
`java.util.Map` | `getOptions()` Returns the login options.
`java.lang.String` | `getUsername()` Returns the username for this credential.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrustedFdkCredential

    public TrustedFdkCredential(java.lang.String username,
                                java.util.Map options)

  Creates a trusted application credential.

  Parameters:
    `username` - The username. Required.
    `options` - The login options. Optional.

Method Detail

### getUsername

    public java.lang.String getUsername()

  Description copied from class: `TrustedFdkCredential`
  Returns the username for this credential.

  Specified by:
    `getUsername` in interface `FdkCredential`
  Returns:
    The username for this credential; returns `null` if the username is not known.

### getOptions

    public java.util.Map getOptions()

  Description copied from class: `TrustedFdkCredential`
  Returns the login options. If there are no login options set, an empty map must be returned. The map must be writable so that new options could be added to it.

  Specified by:
    `getOptions` in interface `FdkCredential`
  Returns:
    The login options.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD